<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Models\Oferta;
use App\Models\Ciudad;
use App\Models\Departamento;
use App\Models\Nivel;


class OfertaController extends Controller
{
    public function Oferts()
    {
        $ofertas = Oferta::get();
        $departamentos = Departamento::orderBy('departamento', 'asc')->get();  
        $ciudades = Ciudad::all();  
        $niveles = Nivel::all();  
        // dd($ofertas); 
    
        return view('formulario', compact('ofertas', 'ciudades', 'departamentos' , 'niveles'));
        //return view('formulario', compact('ofertas')); esta bien

    }

    public static function ObtenerOferta($id)
    {
        $ofertas = Oferta::find($id);

        return $ofertas;
    }

}
